Subject: [rrg] [ILNP] Option type for Nonce v6

From: RJ Atkinson <[email-masked]>
Date: Mon, 9 Jul 2012 11:41:37 -0400

Earlier, Stephane Bortzmeyer wrote, in part:
> I have a small doubt when rereading draft-irtf-rrg-ilnp-noncev6-05.
> It says "if an end system receives an IPv6 packet containing this
> option [Nonce Destination Option], but does not recognise this option,
> the end system MUST discard the packet and [...] send an ICMPv6
> Parameter Problem". But a legacy system won't of course follow the new RFC.

Legacy systems WILL, of course, comply with the long-standing
IPv6 specifications, which encode the specified behaviour into 
the high-order bits of the IPv6 Option number.

> The normal mechanism to have this behaviour, with legacy IPv6 systems,
> is to encode it in the option type (RFC 2460, sections 4.2 and
> 4.5). But draft-irtf-rrg-ilnp-noncev6-05 does not seem to mention it
> and just says "IANA is requested to assign a new IPv6 Destination
> Option Type value". Shouldn't it be modified to say "IANA is requested
> to assign a new IPv6 Destination Option Type value starting with 10"?

IANA reviewed the ILNP I-Ds as part of the IESG review process.
There is no need to have worry or doubt that IANA will allocate 
the right kind of IPv6 option number when the time comes.  

The authors are happy to examine the current text once again, 
but we have full confidence in IANA.

Cheers,

Ran